Subject: Re: [PATCH v2] net/bpfilter: fix dprintf usage for /dev/kmsg

From: Bruno Meneguele <[email-masked]>
Date: Tue, 31 Mar 2020 09:46:05 -0300

On Mon, Mar 30, 2020 at 10:13:15AM -0300, Bruno Meneguele wrote:
> On Mon, Mar 30, 2020 at 03:48:12PM +0300, Martin Zaharinov wrote:
> > Hi Bruno
> > i see after release kernel 5.6.0 with your latest patch have strange
> > messages please check:
> > 
> > [   31.025483] bpfilter: Loaded bpfilter_umh pid 2689
> > [   31.025533] Started bpfilter
> > [   31.042586] testing the buffer
> > [   31.050822] testing the buffer
> > [   31.059304] testing the buffer
> > [   31.067747] testing the buffer
> > [   31.148789] testing the buffer
> > [   31.156130] testing the buffer
> > [   31.164012] testing the buffer
> > [   31.170685] testing the buffer
> > [   31.176886] testing the buffer
> > 
> > when drop bpfilter module stop enter new messages in kmsg.
> > 
> 
> Hi Martin,
> 
> these aren't really "strange messages", but the correct ones. They
> started to appear now because before my patch the log wasn't working at
> all. I'm not really aware what is the logic behind the bpfilter_umh
> module, but AFAIK each iptable rule sent from kernel side to UMH
> userspace code will generate one "testing the buffer" message.
> 
> I think we can silence it by limiting it to print only once, but I would
> need to check with Alexei Starovoitov <[email-masked]> if it would be
> fine (CC'ing here).
> 
> Thanks for the heads up :).
> 

Wow, forget about all of that! That's actually my mistake!
This "testing the buffer" was actually added by my own patch! How could
I not see that? I'm really sorry and /thanks/ at the same time Martin.
I'm going to send a new patch removing it.

-- 
bmeneg 
PGP Key: http://bmeneg.com/pubkey.txt